Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07935 Media Support Critical (emulation) Always Apr 10, 2021, 14:10 Apr 15, 2021, 01:14
Tester Robbbert View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver trs80m2.cpp
Version 0.230 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit 9ff6d01 Github Pull Request #
Summary MESS-specific 07935: trs80m2: Cannot boot any disks
Description Unable to load any disk except one. That one gives "boot error".

This makes the machine unusable.

Since all the software is IMD, my guess it broke with the recent change to IMD handling.

I also have a bunch more IMD software for this machine, and none of it works either.
Steps To Reproduce mame trs80m2 (any software item), you use cpm22 as a disk that used to work.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems trs80m2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.18677
Tafoid
Administrator
Apr 12, 2021, 04:05
This appears to have regressed AFTER 0.230.
https://github.com/mamedev/mame/actions/runs/705240913
User avatar
No.18678
Robbbert
Developer
Apr 12, 2021, 04:10
Thanks, and from IRC
https://github.com/mamedev/mame/commit/905e758b9337eec9da5e7485ee20e28c2f2cb8e1
User avatar
No.18693
Robbbert
Developer
Apr 15, 2021, 01:11
The system is now working the same as it was on 0.228 (not very well).

However the scripsit disk can be made to crash on exit, which didn't happen before.